<?xml version="1.0" encoding="utf-8"?>
<!--
./extra/rdoc2dbk/r.xsl
$Date: 2003-12-26 23:04:43 -0500 (Fri, 26 Dec 2003) $
$Rev: 103 $
$Author: dblack $
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                version="1.0">

  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="sect1|sect2|sect3|sect4|sect5">
    <xsl:element name="{name()}">
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>
  <xsl:template match="sect0">
    <xsl:element name="article">
      <articleinfo>
        <title>dbdbd</title>
        <subtitle>David Black's DataBase Definer</subtitle>
        <pubdate>December 26, 2003</pubdate>
        <releaseinfo>Version 0.2.2</releaseinfo>
        <author>
          <firstname>David</firstname>
          <othername>Alan</othername>
          <surname>Black</surname>
        </author>
      </articleinfo>
      
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>
  
  <xsl:template match="dl">
    <xsl:element name="variablelist">
      <xsl:apply-templates select="dt"/>
    </xsl:element>
  </xsl:template>

  <xsl:template match="dt">
    <xsl:element name="varlistentry">
      <xsl:element name="term">
        <xsl:apply-templates/>
      </xsl:element>
      <xsl:apply-templates select="following-sibling::dd[1]"/>
    </xsl:element>
  </xsl:template>

  <xsl:template match="a">
    <xsl:element name="ulink">
      <xsl:attribute name="url">
        <xsl:value-of select="@href"/>
      </xsl:attribute>
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>

  <xsl:template match="dd">
    <xsl:element name="listitem">
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>

  <xsl:template match="tt">
    <xsl:element name="application">
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>
  
  <xsl:template match="pre">
    <xsl:element name="programlisting">
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>
  
  <xsl:template match="title">
    <xsl:element name="title">
    <xsl:apply-templates/>
      
    </xsl:element>
  </xsl:template>

  <xsl:template match="p">
    <xsl:element name="para">
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>

  <xsl:variable name="newline">
    <xsl:text>
</xsl:text>
  </xsl:variable>

</xsl:stylesheet>
